<div class="container">
  <section style="display: flex" class="center">
    <mat-card appearance="outlined">
      <mat-card-header class="center">
        <mat-card-title>Criar conta</mat-card-title>
      </mat-card-header>
      <form
        [formGroup]="signupForm"
        (ngSubmit)="onSubmit()"
        class="form center"
      >
        <mat-card-content>
          <div class="input-group">
            <mat-form-field appearance="outline">
              <mat-label>Email</mat-label>
              <input matInput type="email" formControlName="email" />
              <mat-icon matSuffix>email</mat-icon>
              <mat-error
                *ngIf="
                  signupForm.get('email')?.errors &&
                  signupForm.get('email')?.hasError('required')
                "
                >Introduza um email</mat-error
              >
              <mat-error
                *ngIf="
                  signupForm.get('email')?.errors &&
                  signupForm.get('email')?.hasError('email')
                "
                >Email é inválido</mat-error
              >
            </mat-form-field>
          </div>
          <div class="input-group">
            <mat-form-field appearance="outline">
              <mat-label>Password</mat-label>
              <input
                matInput
                type="password"
                formControlName="password"
                minlength="6"
              />
              <mat-icon
                matSuffix
                matTooltip="min. 6 caracteres, 1 letra minúscula, 1 letra maiúscula, 1 número e 1 caracter especial"
                >info</mat-icon
              >
              <mat-error
                *ngIf="
                  signupForm.get('password')?.errors &&
                  signupForm.get('password')?.hasError('required')
                "
                >Introduza uma password</mat-error
              >
              <mat-error
                *ngIf="
                  signupForm.get('password')?.errors &&
                  signupForm.get('password')?.hasError('pattern')
                "
                >Não cumpre os requisitos mínimos (icone do lado
                direito)</mat-error
              >
            </mat-form-field>
          </div>
          <div class="input-group">
            <mat-form-field appearance="outline" style="width: 100%">
              <mat-label>Confirm Password</mat-label>
              <input
                matInput
                [type]="hidePassword ? 'password' : 'text'"
                formControlName="confirmPassword"
                pattern="{{ signupForm.value.password }}"
              />
              <button
                mat-icon-button
                matSuffix
                (click)="hidePassword = !hidePassword"
                [attr.aria-label]="'Hide password'"
                [attr.aria-pressed]="hidePassword"
              >
                <mat-icon>{{
                  hidePassword ? "visibility_off" : "visibility"
                }}</mat-icon>
              </button>
              <mat-error
                *ngIf="
                  signupForm.get('confirmPassword')?.errors &&
                  signupForm.get('confirmPassword')?.hasError('required')
                "
                >Confirme a password</mat-error
              >
              <mat-error
                *ngIf="
                  signupForm.get('confirmPassword')?.errors &&
                  signupForm.get('confirmPassword')?.hasError('pattern')
                "
                >As password não são iguais</mat-error
              >
            </mat-form-field>
          </div>
        </mat-card-content>
        <mat-card-actions>
          <button
            mat-flat-button
            color="primary"
            type="submit"
            [disabled]="!signupForm.valid"
          >
            Sign up
          </button>
        </mat-card-actions>
        <mat-card-footer>
          <mat-card-subtitle>
            <span>Já tem conta? <a routerLink="/login">Entre</a></span>
          </mat-card-subtitle>
        </mat-card-footer>
      </form>
    </mat-card>
  </section>
</div>
